#ifndef __MYIIC_H__
#define __MYIIC_H__

#include "CH57x_common.h"
#include "stdio.h"

#define SDA_IN()  GPIOA_ModeCfg(GPIO_Pin_15, GPIO_ModeIN_PU);	    //SDA in
#define SDA_OUT() GPIOA_ModeCfg(GPIO_Pin_15, GPIO_ModeOut_PP_20mA);	

//#define IIC_SCL   GPIOA_ModeCfg(GPIO_Pin_14, GPIO_ModeOut_PP_5mA);	
//#define IIC_SDA   GPIOA_ModeCfg(GPIO_Pin_15, GPIO_ModeOut_PP_5mA);	
//#define READ_SDA  R32_PA_PIN&15;

#define I2C_SCL_LOW()				GPIOA_ResetBits(GPIO_Pin_14);  
#define I2C_SCL_HIGH()			GPIOA_SetBits(GPIO_Pin_14);   

#define I2C_SDA_LOW()				GPIOA_ResetBits(GPIO_Pin_15);  
#define I2C_SDA_HIGH()			GPIOA_SetBits(GPIO_Pin_15);   


//IICв
void IIC_Init(void);                //ʼIICIO				 
void IIC_Start(void);				//IICʼź
void IIC_Stop(void);	  			//IICֹͣź
void IIC_Send_Byte(UINT8 txd);			//IICһֽ
UINT8 IIC_Read_Byte(unsigned char ack);//IICȡһֽ
UINT8 IIC_Wait_Ack(void); 				//IICȴACKź
void IIC_Ack(void);					//IICACKź
void IIC_NAck(void);				//IICACKź
#endif
