#include "myiic.h"


#define GPIOS_ResetBits(x) (R32_PA_DIR |=(x))
#define GPIOS_SetBits(x)   (R32_PA_DIR &=~(x))
//ʼIIC
void IIC_Init(void)
{					     
	GPIOA_SetBits(GPIO_Pin_14|GPIO_Pin_15);
	GPIOA_ModeCfg(GPIO_Pin_14, GPIO_ModeOut_PP_5mA);	
	GPIOA_ModeCfg(GPIO_Pin_15, GPIO_ModeOut_PP_5mA);	
}
//IICʼź
void IIC_Start(void)
{
	
	
	SDA_OUT();     //sda
	GPIOA_SetBits(GPIO_Pin_15);   	  
	GPIOA_SetBits(GPIO_Pin_14);  
	DelayUs(10);
 	GPIOA_ResetBits(GPIO_Pin_15);//START:when CLK is high,DATA change form high to low 
	DelayUs(10);
	GPIOA_ResetBits(GPIO_Pin_14);//ǯסI2Cߣ׼ͻ 
}	  
//IICֹͣź
void IIC_Stop(void)
{
	 
	
	SDA_OUT();//sda
	GPIOA_ResetBits(GPIO_Pin_14);
	GPIOA_ResetBits(GPIO_Pin_15);//STOP:when CLK is high DATA change form low to high
 	DelayUs(10);
	GPIOA_SetBits(GPIO_Pin_14); 
	GPIOA_SetBits(GPIO_Pin_15);//I2C߽ź
	DelayUs(10);							   	
}
//ȴӦźŵ
//ֵ1Ӧʧ
//        0Ӧɹ
UINT8 IIC_Wait_Ack(void)
{
	UINT8 ucErrTime=0;
	SDA_IN();      //SDAΪ  
	GPIOA_SetBits(GPIO_Pin_14);DelayUs(5);	   
	GPIOA_SetBits(GPIO_Pin_15);DelayUs(5);	 
	while(GPIOA_ReadPortPin( GPIO_Pin_15 ))
	{
		ucErrTime++;
		if(ucErrTime>250)
		{
			IIC_Stop();
			return 1;
		}
	}
	GPIOA_ResetBits(GPIO_Pin_14);//ʱ0 	   
	return 0;  
} 
//ACKӦ
void IIC_Ack(void)
{
	GPIOA_SetBits(GPIO_Pin_14);
	SDA_OUT();
	GPIOA_SetBits(GPIO_Pin_15);
	DelayUs(5);
	GPIOA_ResetBits(GPIO_Pin_15);	
	DelayUs(5);
	GPIOA_ResetBits(GPIO_Pin_14);
}
//ACKӦ		    
void IIC_NAck(void)
{
	GPIOA_ResetBits(GPIO_Pin_14);
	SDA_OUT();
	GPIOA_SetBits(GPIO_Pin_15);
	DelayUs(5);
	GPIOA_SetBits(GPIO_Pin_14);
	DelayUs(5);
	GPIOA_ResetBits(GPIO_Pin_14);
}					 				     
//IICһֽ
//شӻӦ
//1Ӧ
//0Ӧ			  
void IIC_Send_Byte(UINT8 txd)
{                        
   UINT8 t;  


	
	SDA_OUT(); 	    
    GPIOA_ResetBits(GPIO_Pin_14);//ʱӿʼݴ
    for(t=0;t<8;t++)
    {              
        //IIC_SDA=(txd&0x80)>>7;
		if((txd&0x80)>>7)
		{
			GPIOA_SetBits(GPIO_Pin_15);
		}
		else
		{
			GPIOA_ResetBits(GPIO_Pin_15);
		}
		txd<<=1; 	  
		DelayUs(5);   //TEA5767ʱǱ
		GPIOA_SetBits(GPIO_Pin_14);
		DelayUs(5); 
		GPIOA_ResetBits(GPIO_Pin_14);	
		DelayUs(5);
    }	 
} 	    
//1ֽڣack=1ʱACKack=0nACK   
UINT8 IIC_Read_Byte(unsigned char ack)
{
	unsigned char i,receive=0;
	SDA_IN();//SDAΪ
    for(i=0;i<8;i++ )
	{
        GPIOA_ResetBits(GPIO_Pin_14);
        DelayUs(5);
		GPIOA_SetBits(GPIO_Pin_14);
        receive<<=1;
        if(GPIOA_ReadPortPin( GPIO_Pin_15 ))
				{
					receive++;   
				}
		DelayUs(1); 
    }					 
    if (!ack)
        IIC_NAck();//nACK
    else
        IIC_Ack(); //ACK   
    return receive;
}







